Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultChapterIVAddedDocumentType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVAddedDocumentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:26:47+02:00",
               comments="JAXB RI v2.3.6")
    public class ConsultChapterIVAddedDocumentType

extends Object
implements Serializable

Java class for ConsultChapterIVAddedDocumentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVAddedDocumentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Text" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
             <element name="FormType" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVFormTypeType"/>
             <element name="AppendixType" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVAppendixTypeType"/>
             <element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DocumentContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="AddressUrl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="DocumentSeq" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultChapterIVAddedDocumentType()`

Method Summary
`String` | `getAddressUrl()` Gets the value of the addressUrl property.
`ConsultChapterIVAppendixTypeType` | `getAppendixType()` Gets the value of the appendixType property.
`org.joda.time.DateTime` | `getCreatedTimestamp()` Gets the value of the createdTimestamp property.
`String` | `getCreatedUserId()` Gets the value of the createdUserId property.
`byte[]` | `getDocumentContent()` Gets the value of the documentContent property.
`int` | `getDocumentSeq()` Gets the value of the documentSeq property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`ConsultChapterIVFormTypeType` | `getFormType()` Gets the value of the formType property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`String` | `getModificationStatus()` Gets the value of the modificationStatus property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ConsultChapterIVTextType` | `getText()` Gets the value of the text property.
`void` | `setAddressUrl(String value)` Sets the value of the addressUrl property.
`void` | `setAppendixType(ConsultChapterIVAppendixTypeType value)` Sets the value of the appendixType property.
`void` | `setCreatedTimestamp(org.joda.time.DateTime value)` Sets the value of the createdTimestamp property.
`void` | `setCreatedUserId(String value)` Sets the value of the createdUserId property.
`void` | `setDocumentContent(byte[] value)` Sets the value of the documentContent property.
`void` | `setDocumentSeq(int value)` Sets the value of the documentSeq property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setFormType(ConsultChapterIVFormTypeType value)` Sets the value of the formType property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.
`void` | `setModificationStatus(String value)` Sets the value of the modificationStatus property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setText(ConsultChapterIVTextType value)` Sets the value of the text property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultChapterIVAddedDocumentType

    public ConsultChapterIVAddedDocumentType()

Method Detail

### getCreatedTimestamp

    public org.joda.time.DateTime getCreatedTimestamp()

  Gets the value of the createdTimestamp property.

  Returns:
    possible object is `String`

### setCreatedTimestamp

    public void setCreatedTimestamp(org.joda.time.DateTime value)

  Sets the value of the createdTimestamp property.

  Parameters:
    `value` - allowed object is `String`

### getCreatedUserId

    public String getCreatedUserId()

  Gets the value of the createdUserId property.

  Returns:
    possible object is `String`

### setCreatedUserId

    public void setCreatedUserId(String value)

  Sets the value of the createdUserId property.

  Parameters:
    `value` - allowed object is `String`

### getText

    public ConsultChapterIVTextType getText()

  Gets the value of the text property.

  Returns:
    possible object is `ConsultChapterIVTextType`

### setText

    public void setText(ConsultChapterIVTextType value)

  Sets the value of the text property.

  Parameters:
    `value` - allowed object is `ConsultChapterIVTextType`

### getFormType

    public ConsultChapterIVFormTypeType getFormType()

  Gets the value of the formType property.

  Returns:
    possible object is `ConsultChapterIVFormTypeType`

### setFormType

    public void setFormType(ConsultChapterIVFormTypeType value)

  Sets the value of the formType property.

  Parameters:
    `value` - allowed object is `ConsultChapterIVFormTypeType`

### getAppendixType

    public ConsultChapterIVAppendixTypeType getAppendixType()

  Gets the value of the appendixType property.

  Returns:
    possible object is `ConsultChapterIVAppendixTypeType`

### setAppendixType

    public void setAppendixType(ConsultChapterIVAppendixTypeType value)

  Sets the value of the appendixType property.

  Parameters:
    `value` - allowed object is `ConsultChapterIVAppendixTypeType`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### getDocumentContent

    public byte[] getDocumentContent()

  Gets the value of the documentContent property.

  Returns:
    possible object is byte[]

### setDocumentContent

    public void setDocumentContent(byte[] value)

  Sets the value of the documentContent property.

  Parameters:
    `value` - allowed object is byte[]

### getAddressUrl

    public String getAddressUrl()

  Gets the value of the addressUrl property.

  Returns:
    possible object is `String`

### setAddressUrl

    public void setAddressUrl(String value)

  Sets the value of the addressUrl property.

  Parameters:
    `value` - allowed object is `String`

### getModificationStatus

    public String getModificationStatus()

  Gets the value of the modificationStatus property.

  Returns:
    possible object is `String`

### setModificationStatus

    public void setModificationStatus(String value)

  Sets the value of the modificationStatus property.

  Parameters:
    `value` - allowed object is `String`

### getDocumentSeq

    public int getDocumentSeq()

  Gets the value of the documentSeq property.

### setDocumentSeq

    public void setDocumentSeq(int value)

  Sets the value of the documentSeq property.

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.